<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreGroupRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        switch ($this->method())
        {
            case 'POST':
                return ['name' => 'required:max:255|unique:groups,name'];

            case 'PUT':
                $groupId = intval($this->segment(3));
                return ['name' => 'required:max:255|unique:groups,name,' . $groupId];
        }

        return [];
    }
}